// Copyright © 2019 Binance
//
// This file is part of Binance. The full Binance copyright notice, including
// terms governing use, modification, and redistribution, is contained in the
// file LICENSE at the root of the source code distribution tree.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.2
// 	protoc        v5.29.3
// source: protob/signature.proto

package common

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// State object for signatures, either partial (for offline/async "one round" signing) or full (contains the final ECDSA signature).
type SignatureData struct {
	state         protoimpl.MessageState      `protogen:"open.v1"`
	Signature     *ECSignature                `protobuf:"bytes,10,opt,name=signature,proto3" json:"signature,omitempty"`
	OneRoundData  *SignatureData_OneRoundData `protobuf:"bytes,11,opt,name=one_round_data,json=oneRoundData,proto3" json:"one_round_data,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SignatureData) Reset() {
	*x = SignatureData{}
	mi := &file_protob_signature_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SignatureData) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SignatureData) ProtoMessage() {}

func (x *SignatureData) ProtoReflect() protoreflect.Message {
	mi := &file_protob_signature_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SignatureData.ProtoReflect.Descriptor instead.
func (*SignatureData) Descriptor() ([]byte, []int) {
	return file_protob_signature_proto_rawDescGZIP(), []int{0}
}

func (x *SignatureData) GetSignature() *ECSignature {
	if x != nil {
		return x.Signature
	}
	return nil
}

func (x *SignatureData) GetOneRoundData() *SignatureData_OneRoundData {
	if x != nil {
		return x.OneRoundData
	}
	return nil
}

type SignatureData_OneRoundData struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Sanity check in FinalizeGetAndVerifyFinalSig
	T int32 `protobuf:"varint,1,opt,name=t,proto3" json:"t,omitempty"`
	// Components to produce s = sum(s_i)
	KI      []byte   `protobuf:"bytes,2,opt,name=k_i,json=kI,proto3" json:"k_i,omitempty"`
	RSigmaI []byte   `protobuf:"bytes,3,opt,name=r_sigma_i,json=rSigmaI,proto3" json:"r_sigma_i,omitempty"`
	BigR    *ECPoint `protobuf:"bytes,4,opt,name=big_r,json=bigR,proto3" json:"big_r,omitempty"`
	// Components for identifiable aborts during the final phase
	BigRBarJ      map[string]*ECPoint `protobuf:"bytes,5,rep,name=big_r_bar_j,json=bigRBarJ,proto3" json:"big_r_bar_j,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	BigSJ         map[string]*ECPoint `protobuf:"bytes,6,rep,name=big_s_j,json=bigSJ,proto3" json:"big_s_j,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SignatureData_OneRoundData) Reset() {
	*x = SignatureData_OneRoundData{}
	mi := &file_protob_signature_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SignatureData_OneRoundData) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SignatureData_OneRoundData) ProtoMessage() {}

func (x *SignatureData_OneRoundData) ProtoReflect() protoreflect.Message {
	mi := &file_protob_signature_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SignatureData_OneRoundData.ProtoReflect.Descriptor instead.
func (*SignatureData_OneRoundData) Descriptor() ([]byte, []int) {
	return file_protob_signature_proto_rawDescGZIP(), []int{0, 0}
}

func (x *SignatureData_OneRoundData) GetT() int32 {
	if x != nil {
		return x.T
	}
	return 0
}

func (x *SignatureData_OneRoundData) GetKI() []byte {
	if x != nil {
		return x.KI
	}
	return nil
}

func (x *SignatureData_OneRoundData) GetRSigmaI() []byte {
	if x != nil {
		return x.RSigmaI
	}
	return nil
}

func (x *SignatureData_OneRoundData) GetBigR() *ECPoint {
	if x != nil {
		return x.BigR
	}
	return nil
}

func (x *SignatureData_OneRoundData) GetBigRBarJ() map[string]*ECPoint {
	if x != nil {
		return x.BigRBarJ
	}
	return nil
}

func (x *SignatureData_OneRoundData) GetBigSJ() map[string]*ECPoint {
	if x != nil {
		return x.BigSJ
	}
	return nil
}

var File_protob_signature_proto protoreflect.FileDescriptor

var file_protob_signature_proto_rawDesc = []byte{
	0x0a, 0x16, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x2f, 0x73, 0x69, 0x67, 0x6e, 0x61, 0x74, 0x75,
	0x72, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x10, 0x74, 0x68, 0x6f, 0x72, 0x63, 0x68,
	0x61, 0x69, 0x6e, 0x2e, 0x74, 0x73, 0x73, 0x6c, 0x69, 0x62, 0x1a, 0x13, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0xf5, 0x04, 0x0a, 0x0d, 0x53, 0x69, 0x67, 0x6e, 0x61, 0x74, 0x75, 0x72, 0x65, 0x44, 0x61, 0x74,
	0x61, 0x12, 0x3b, 0x0a, 0x09, 0x73, 0x69, 0x67, 0x6e, 0x61, 0x74, 0x75, 0x72, 0x65, 0x18, 0x0a,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x74, 0x68, 0x6f, 0x72, 0x63, 0x68, 0x61, 0x69, 0x6e,
	0x2e, 0x74, 0x73, 0x73, 0x6c, 0x69, 0x62, 0x2e, 0x45, 0x43, 0x53, 0x69, 0x67, 0x6e, 0x61, 0x74,
	0x75, 0x72, 0x65, 0x52, 0x09, 0x73, 0x69, 0x67, 0x6e, 0x61, 0x74, 0x75, 0x72, 0x65, 0x12, 0x52,
	0x0a, 0x0e, 0x6f, 0x6e, 0x65, 0x5f, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x5f, 0x64, 0x61, 0x74, 0x61,
	0x18, 0x0b, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x74, 0x68, 0x6f, 0x72, 0x63, 0x68, 0x61,
	0x69, 0x6e, 0x2e, 0x74, 0x73, 0x73, 0x6c, 0x69, 0x62, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x61, 0x74,
	0x75, 0x72, 0x65, 0x44, 0x61, 0x74, 0x61, 0x2e, 0x4f, 0x6e, 0x65, 0x52, 0x6f, 0x75, 0x6e, 0x64,
	0x44, 0x61, 0x74, 0x61, 0x52, 0x0c, 0x6f, 0x6e, 0x65, 0x52, 0x6f, 0x75, 0x6e, 0x64, 0x44, 0x61,
	0x74, 0x61, 0x1a, 0xd2, 0x03, 0x0a, 0x0c, 0x4f, 0x6e, 0x65, 0x52, 0x6f, 0x75, 0x6e, 0x64, 0x44,
	0x61, 0x74, 0x61, 0x12, 0x0c, 0x0a, 0x01, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x01,
	0x74, 0x12, 0x0f, 0x0a, 0x03, 0x6b, 0x5f, 0x69, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x02,
	0x6b, 0x49, 0x12, 0x1a, 0x0a, 0x09, 0x72, 0x5f, 0x73, 0x69, 0x67, 0x6d, 0x61, 0x5f, 0x69, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x07, 0x72, 0x53, 0x69, 0x67, 0x6d, 0x61, 0x49, 0x12, 0x2e,
	0x0a, 0x05, 0x62, 0x69, 0x67, 0x5f, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e,
	0x74, 0x68, 0x6f, 0x72, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x2e, 0x74, 0x73, 0x73, 0x6c, 0x69, 0x62,
	0x2e, 0x45, 0x43, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x04, 0x62, 0x69, 0x67, 0x52, 0x12, 0x59,
	0x0a, 0x0b, 0x62, 0x69, 0x67, 0x5f, 0x72, 0x5f, 0x62, 0x61, 0x72, 0x5f, 0x6a, 0x18, 0x05, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x3a, 0x2e, 0x74, 0x68, 0x6f, 0x72, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x2e,
	0x74, 0x73, 0x73, 0x6c, 0x69, 0x62, 0x2e, 0x53, 0x69, 0x67, 0x6e, 0x61, 0x74, 0x75, 0x72, 0x65,
	0x44, 0x61, 0x74, 0x61, 0x2e, 0x4f, 0x6e, 0x65, 0x52, 0x6f, 0x75, 0x6e, 0x64, 0x44, 0x61, 0x74,
	0x61, 0x2e, 0x42, 0x69, 0x67, 0x52, 0x42, 0x61, 0x72, 0x4a, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52,
	0x08, 0x62, 0x69, 0x67, 0x52, 0x42, 0x61, 0x72, 0x4a, 0x12, 0x4f, 0x0a, 0x07, 0x62, 0x69, 0x67,
	0x5f, 0x73, 0x5f, 0x6a, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x74, 0x68, 0x6f,
	0x72, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x2e, 0x74, 0x73, 0x73, 0x6c, 0x69, 0x62, 0x2e, 0x53, 0x69,
	0x67, 0x6e, 0x61, 0x74, 0x75, 0x72, 0x65, 0x44, 0x61, 0x74, 0x61, 0x2e, 0x4f, 0x6e, 0x65, 0x52,
	0x6f, 0x75, 0x6e, 0x64, 0x44, 0x61, 0x74, 0x61, 0x2e, 0x42, 0x69, 0x67, 0x53, 0x4a, 0x45, 0x6e,
	0x74, 0x72, 0x79, 0x52, 0x05, 0x62, 0x69, 0x67, 0x53, 0x4a, 0x1a, 0x56, 0x0a, 0x0d, 0x42, 0x69,
	0x67, 0x52, 0x42, 0x61, 0x72, 0x4a, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b,
	0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x2f, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x74,
	0x68, 0x6f, 0x72, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x2e, 0x74, 0x73, 0x73, 0x6c, 0x69, 0x62, 0x2e,
	0x45, 0x43, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02,
	0x38, 0x01, 0x1a, 0x53, 0x0a, 0x0a, 0x42, 0x69, 0x67, 0x53, 0x4a, 0x45, 0x6e, 0x74, 0x72, 0x79,
	0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b,
	0x65, 0x79, 0x12, 0x2f, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x19, 0x2e, 0x74, 0x68, 0x6f, 0x72, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x2e, 0x74, 0x73,
	0x73, 0x6c, 0x69, 0x62, 0x2e, 0x45, 0x43, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x42, 0x29, 0x5a, 0x27, 0x67, 0x69, 0x74, 0x68, 0x75,
	0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x62, 0x69, 0x6e, 0x61, 0x6e, 0x63, 0x65, 0x2d, 0x63, 0x68,
	0x61, 0x69, 0x6e, 0x2f, 0x74, 0x73, 0x73, 0x2d, 0x6c, 0x69, 0x62, 0x2f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_protob_signature_proto_rawDescOnce sync.Once
	file_protob_signature_proto_rawDescData = file_protob_signature_proto_rawDesc
)

func file_protob_signature_proto_rawDescGZIP() []byte {
	file_protob_signature_proto_rawDescOnce.Do(func() {
		file_protob_signature_proto_rawDescData = protoimpl.X.CompressGZIP(file_protob_signature_proto_rawDescData)
	})
	return file_protob_signature_proto_rawDescData
}

var file_protob_signature_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_protob_signature_proto_goTypes = []any{
	(*SignatureData)(nil),              // 0: thorchain.tsslib.SignatureData
	(*SignatureData_OneRoundData)(nil), // 1: thorchain.tsslib.SignatureData.OneRoundData
	nil,                                // 2: thorchain.tsslib.SignatureData.OneRoundData.BigRBarJEntry
	nil,                                // 3: thorchain.tsslib.SignatureData.OneRoundData.BigSJEntry
	(*ECSignature)(nil),                // 4: thorchain.tsslib.ECSignature
	(*ECPoint)(nil),                    // 5: thorchain.tsslib.ECPoint
}
var file_protob_signature_proto_depIdxs = []int32{
	4, // 0: thorchain.tsslib.SignatureData.signature:type_name -> thorchain.tsslib.ECSignature
	1, // 1: thorchain.tsslib.SignatureData.one_round_data:type_name -> thorchain.tsslib.SignatureData.OneRoundData
	5, // 2: thorchain.tsslib.SignatureData.OneRoundData.big_r:type_name -> thorchain.tsslib.ECPoint
	2, // 3: thorchain.tsslib.SignatureData.OneRoundData.big_r_bar_j:type_name -> thorchain.tsslib.SignatureData.OneRoundData.BigRBarJEntry
	3, // 4: thorchain.tsslib.SignatureData.OneRoundData.big_s_j:type_name -> thorchain.tsslib.SignatureData.OneRoundData.BigSJEntry
	5, // 5: thorchain.tsslib.SignatureData.OneRoundData.BigRBarJEntry.value:type_name -> thorchain.tsslib.ECPoint
	5, // 6: thorchain.tsslib.SignatureData.OneRoundData.BigSJEntry.value:type_name -> thorchain.tsslib.ECPoint
	7, // [7:7] is the sub-list for method output_type
	7, // [7:7] is the sub-list for method input_type
	7, // [7:7] is the sub-list for extension type_name
	7, // [7:7] is the sub-list for extension extendee
	0, // [0:7] is the sub-list for field type_name
}

func init() { file_protob_signature_proto_init() }
func file_protob_signature_proto_init() {
	if File_protob_signature_proto != nil {
		return
	}
	file_protob_shared_proto_init()
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_protob_signature_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_protob_signature_proto_goTypes,
		DependencyIndexes: file_protob_signature_proto_depIdxs,
		MessageInfos:      file_protob_signature_proto_msgTypes,
	}.Build()
	File_protob_signature_proto = out.File
	file_protob_signature_proto_rawDesc = nil
	file_protob_signature_proto_goTypes = nil
	file_protob_signature_proto_depIdxs = nil
}
